vbi_program_info Struct Reference
High Level Decoding » Events

`#include <event.h>`

## Data Fields

unsigned int | future: 1
signed char | month
signed char | day
signed char | hour
signed char | min
signed char | tape_delayed
signed char | length_hour
signed char | length_min
signed char | elapsed_hour
signed char | elapsed_min
signed char | elapsed_sec
signed char | title [64]
vbi_prog_classf | type_classf
int | type_id [33]
vbi_rating_auth | rating_auth
int | rating_id
int | rating_dlsv
struct { |
vbi_audio_mode mode |
unsigned char * language |
} | audio [2]
int | caption_services
unsigned char * | caption_language [8]
int | cgms_a
vbi_aspect_ratio | aspect
signed char | description [8][33]

## Detailed Description

Information about the current program, preliminary.